summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChí-Thanh Christopher Nguyễn <chithanh@gentoo.org>2009-02-08 14:43:54 +0000
committerChí-Thanh Christopher Nguyễn <chithanh@gentoo.org>2009-02-08 14:43:54 +0000
commit9eef014af3d6ed78f44f83036081f1abd1d974cb (patch)
tree5e8ca2aa4dd324b3018ebf21222ef69a75deda6f /x11-drivers
parentgames-util/gamecheater: Fix ChangeLog (diff)
downloadsunrise-9eef014af3d6ed78f44f83036081f1abd1d974cb.tar.gz
sunrise-9eef014af3d6ed78f44f83036081f1abd1d974cb.tar.bz2
sunrise-9eef014af3d6ed78f44f83036081f1abd1d974cb.zip
x11-drivers/xf86-video-nouveau: drop dri USE-flag
svn path=/sunrise/; revision=7876
Diffstat (limited to 'x11-drivers')
-rw-r--r--x11-drivers/xf86-video-nouveau/ChangeLog5
-rw-r--r--x11-drivers/xf86-video-nouveau/Manifest6
-rw-r--r--x11-drivers/xf86-video-nouveau/xf86-video-nouveau-0.0.20090130.ebuild14
-rw-r--r--x11-drivers/xf86-video-nouveau/xf86-video-nouveau-9999.ebuild18
4 files changed, 22 insertions, 21 deletions
diff --git a/x11-drivers/xf86-video-nouveau/ChangeLog b/x11-drivers/xf86-video-nouveau/ChangeLog
index d7d9bf571..5f85151ea 100644
--- a/x11-drivers/xf86-video-nouveau/ChangeLog
+++ b/x11-drivers/xf86-video-nouveau/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 08 Feb 2009; Chi-Thanh Christopher Nguyen (chithead)
+ <chithanh@cs.tu-berlin.de> xf86-video-nouveau-0.0.20090130.ebuild,
+ xf86-video-nouveau-9999.ebuild:
+ drop dri USE-flag
+
04 Feb 2009; Chi-Thanh Christopher Nguyen (chithead)
<chithanh@cs.tu-berlin.de> xf86-video-nouveau-9999.ebuild:
bump required drm version, fix xorg-server dependency
diff --git a/x11-drivers/xf86-video-nouveau/Manifest b/x11-drivers/xf86-video-nouveau/Manifest
index 848dd523d..719373458 100644
--- a/x11-drivers/xf86-video-nouveau/Manifest
+++ b/x11-drivers/xf86-video-nouveau/Manifest
@@ -1,4 +1,4 @@
-EBUILD xf86-video-nouveau-0.0.20090130.ebuild 1146 RMD160 3556df388262cc0d7511dc984fe15821daf7d67a SHA1 2e211b9ceb15a2996e4c92c07e2ccc8c7dc6ad1a SHA256 3664b4dcab3074cde7c5f1e7e306ea457b7534aa16ca00b607136297e51a9849
-EBUILD xf86-video-nouveau-9999.ebuild 1128 RMD160 77f85cddebde417788d112edf650b799c3cdc1e6 SHA1 0fcafba570bca8dcdcc33b1335fb47a96ba1b6f2 SHA256 5c1557785b3c436200495712215f0d4bcf5eae1163418d00c010d6f40e6682f8
-MISC ChangeLog 1432 RMD160 0cf3ea1a77a4bba8f2a657c3d53aed7aa3fcec00 SHA1 1ae608fc0325c779a265275dd7b5086c3678b526 SHA256 4166a1077e860457dc2a2d09cbd64a50b977eec211fc047d31da76c531d82424
+EBUILD xf86-video-nouveau-0.0.20090130.ebuild 1037 RMD160 392bbcc3b222d3ed1296ccca8b755019f6aa1c4f SHA1 344e3ba2a8094aa983a08b87d49426f2179c3671 SHA256 1a870284697bc4937ba07a05f12bdfa8c56388766b578cce296d721bba24c0bf
+EBUILD xf86-video-nouveau-9999.ebuild 1090 RMD160 3e3a97bd81686c5df4777a90abfc2bb762df4f3c SHA1 536177d303cc2c577302beba892d0efbb74704ee SHA256 1b11286d74a8ba8c29b3677f3772e0ed4fc37ae589bbaafeecea823eb911d8df
+MISC ChangeLog 1611 RMD160 28e4fac8ab29835c585150d34b7ecb1742467c1b SHA1 b5a0e10f9e05b2fb3bff9102dfa3d029ae5d7414 SHA256 db56c26e16fa8490a3de28db63f5d6a3e57e04d4f7afb277ba29609d1ed56442
MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/x11-drivers/xf86-video-nouveau/xf86-video-nouveau-0.0.20090130.ebuild b/x11-drivers/xf86-video-nouveau/xf86-video-nouveau-0.0.20090130.ebuild
index 971c28871..cfa2bab7b 100644
--- a/x11-drivers/xf86-video-nouveau/xf86-video-nouveau-0.0.20090130.ebuild
+++ b/x11-drivers/xf86-video-nouveau/xf86-video-nouveau-0.0.20090130.ebuild
@@ -10,7 +10,6 @@ XDPVER=4
inherit x-modular git
-EGIT_TREE="ff52cac14e80f257c6c3e4367cd421b4813dc556"
EGIT_REPO_URI="git://anongit.freedesktop.org/git/nouveau/${PN}"
DESCRIPTION="Nouveau video driver"
@@ -19,10 +18,9 @@ SRC_URI=""
LICENSE="MIT"
KEYWORDS="~amd64"
-IUSE="dri"
+IUSE=""
-COMMON_DEPEND=">=x11-base/xorg-server-1.5
- dri? ( || ( x11-base/xorg-server[dri] >=x11-base/xorg-server-1.5.3 ) )"
+COMMON_DEPEND="|| ( >=x11-base/xorg-server-1.5[dri] >=x11-base/xorg-server-1.5.3 )"
DEPEND="${COMMON_DEPEND}
x11-misc/util-macros
x11-proto/fontsproto
@@ -30,13 +28,13 @@ DEPEND="${COMMON_DEPEND}
x11-proto/videoproto
x11-proto/xextproto
x11-proto/xproto
- dri? ( x11-proto/glproto
- x11-proto/xf86driproto
- >=x11-libs/libdrm-2.4 )"
+ x11-proto/glproto
+ x11-proto/xf86driproto
+ >=x11-libs/libdrm-2.4"
# need x11-base/x11-drm until nouveau drm enters the kernel
RDEPEND="${COMMON_DEPEND}
- dri? ( >=x11-base/x11-drm-20070314[video_cards_nv] )"
+ >=x11-base/x11-drm-20070314[video_cards_nv]"
src_unpack() {
x-modular_specs_check
diff --git a/x11-drivers/xf86-video-nouveau/xf86-video-nouveau-9999.ebuild b/x11-drivers/xf86-video-nouveau/xf86-video-nouveau-9999.ebuild
index 397647585..fbdc96201 100644
--- a/x11-drivers/xf86-video-nouveau/xf86-video-nouveau-9999.ebuild
+++ b/x11-drivers/xf86-video-nouveau/xf86-video-nouveau-9999.ebuild
@@ -10,6 +10,7 @@ XDPVER=4
inherit x-modular git
+EGIT_TREE="ff52cac14e80f257c6c3e4367cd421b4813dc556"
EGIT_REPO_URI="git://anongit.freedesktop.org/git/nouveau/${PN}"
DESCRIPTION="Nouveau video driver"
@@ -17,11 +18,10 @@ HOMEPAGE="http://nouveau.freedesktop.org/"
SRC_URI=""
LICENSE="MIT"
-KEYWORDS=""
-IUSE="dri"
+KEYWORDS="~amd64"
+IUSE=""
-COMMON_DEPEND=">=x11-base/xorg-server-1.5
- dri? ( || ( x11-base/xorg-server[dri] >=x11-base/xorg-server-1.5.3 ) )"
+COMMON_DEPEND="|| ( >=x11-base/xorg-server-1.5[dri] >=x11-base/xorg-server-1.5.3 )"
DEPEND="${COMMON_DEPEND}
x11-misc/util-macros
x11-proto/fontsproto
@@ -29,15 +29,13 @@ DEPEND="${COMMON_DEPEND}
x11-proto/videoproto
x11-proto/xextproto
x11-proto/xproto
- dri? ( x11-proto/glproto
- x11-proto/xf86driproto
- >=x11-libs/libdrm-2.4.5 )"
+ x11-proto/glproto
+ x11-proto/xf86driproto
+ >=x11-libs/libdrm-2.4"
# need x11-base/x11-drm until nouveau drm enters the kernel
RDEPEND="${COMMON_DEPEND}
- dri? ( >=x11-base/x11-drm-20090204[video_cards_nv] )"
-
-CONFIGURE_OPTIONS="$(use_enable dri)"
+ >=x11-base/x11-drm-20070314[video_cards_nv]"
src_unpack() {
x-modular_specs_check